Subject: RE:Electric Blanket trouble #Ref 2021030500090610
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 08 Mar 2021 15:56:58 -0800

Hello Stephanie,

I am sorry to hear this, please call our CS Team at 1-866-456-8852.  Our hours are M-F 7am to 3:30 pm PST.   Your previous claim number is C20395619.

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

===============================================================================

Hello,
My name is Stephanie Abbate and I recently received a blanket from your company. I am having a lot of trouble with this blanket. It constantly flashes E4 or just E. I have tried unplugging it, plugging it back in, etc. I would appreciate if there’s anything you guys can do for me. Please get back to me at your earliest convenience.

Thank you,
Stephanie Abbate